=== src/HdrCreation/CMakeLists.txt ===
#SET(FILES_UI )
SET(FILES_H )

SET(FILES_HXX
${CMAKE_CURRENT_SOURCE_DIR}/createhdr.h
${CMAKE_CURRENT_SOURCE_DIR}/debevec.h
${CMAKE_CURRENT_SOURCE_DIR}/responses.h
${CMAKE_CURRENT_SOURCE_DIR}/robertson02.h
${CMAKE_CURRENT_SOURCE_DIR}/mtb_alignment.h
${CMAKE_CURRENT_SOURCE_DIR}/fusionoperator.h
${CMAKE_CURRENT_SOURCE_DIR}/weights.h
)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/debevec.cpp
${CMAKE_CURRENT_SOURCE_DIR}/responses.cpp
${CMAKE_CURRENT_SOURCE_DIR}/robertson02.cpp
${CMAKE_CURRENT_SOURCE_DIR}/mtb_alignment.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fusionoperator.cpp
${CMAKE_CURRENT_SOURCE_DIR}/weights.cpp
)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT5_WRAP_CPP(FILES_MOC ${FILES_H})
# QT5_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(hdrcreation ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_HXX}) # ${FILES_UI_H}
qt5_use_modules(hdrcreation Core Gui Widgets)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_HXX} PARENT_SCOPE) # ${FILES_UI}
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} hdrcreation PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} hdrcreation PARENT_SCOPE)
