=== src/LibpfsAdditions/CMakeLists.txt ===
SET(FILES_H
	${CMAKE_CURRENT_SOURCE_DIR}/formathelper.h
)
# SET(FILES_HPP
# ${CMAKE_CURRENT_SOURCE_DIR}/ezETAProgressBar.hpp)
SET(FILES_CPP
	${CMAKE_CURRENT_SOURCE_DIR}/formathelper.cpp
)

QT5_WRAP_CPP(FILES_MOC ${FILES_H})

ADD_LIBRARY(pfsadditions ${FILES_H} ${FILES_HPP} ${FILES_CPP} ${FILES_MOC})
qt5_use_modules(pfsadditions Core Gui Widgets)

SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} pfsadditions PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} pfsadditions PARENT_SCOPE)
