=== debian/changelog ===
luminance-hdr (2.5.1+dfsg-3) unstable; urgency=low

  * Upload to unstable.
  * [lintian] Drop trailing whitespace in changelog.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 10 Feb 2018 14:19:41 +0100

luminance-hdr (2.5.1+dfsg-2) experimental; urgency=medium

  [ Andreas Metzler ]
  * Sync priorities with override file (extra -> optional).

  [ Leonardo Montecchi ]
  * Apply upstream patch to use QtWebKit instead of QtWebEngine

 -- Andreas Metzler <ametzler@debian.org>  Sun, 07 Jan 2018 15:08:54 +0100

luminance-hdr (2.5.1+dfsg-1) experimental; urgency=low

  [ Leonardo Montecchi ]
  * New upstream release
  * Repack sources to remove unused folder 'hdrhtml/hdrhtml_hdrlabs_templ/'
    containing compiled .js without source
  * Add get-orig-source target to debian/rules
  * 60_hdrhtml_locale.diff: Fix locale issue in export to HTML feature
  * Update 20_usrsharedoc.diff: Revert putting the hdrhtml folder under
    /usr/doc as it is not part of the documentation

  [ Andreas Metzler ]
  * Drop unused b-d on libqt5webkit5-dev.
  * Repacked source -> use +dfsg version and set dvervsionmangle in watchfile.
  * Handle +dfsg suffix in get-orig-source target.
  * Use xz compression for repacked source.
  * Drop qtpfsgui transition package. Closes: #878689

 -- Andreas Metzler <ametzler@debian.org>  Thu, 19 Oct 2017 19:34:05 +0200
