## luminance-hdr 2.6.0

=== debian/changelog ===
luminance-hdr (2.6.0-0.1~mx19+1) mx; urgency=medium

  * New upstream release.
  * Drop patches, fixed upstream.
  * Disable automatic dbgsym packages.
  * Debhelper compat raised to 10.
  * debian/control: add libeigen3-dev build-depend.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 11 Jun 2019 12:34:46 -0700
