=== debian/control ===
Source: luminance-hdr
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Andreas Metzler <ametzler@debian.org>,
           Leonardo Montecchi <lmontecchi@montex.org>
Build-Depends: cmake (>= 2.8.11),
               debhelper (>= 10),
               libboost-chrono-dev,
               libboost-date-time-dev,
               libboost-dev,
               libboost-program-options-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libccfits-dev,
               libeigen3-dev,
               libexiv2-dev,
               libfftw3-dev,
               libgsl-dev,
               libjpeg-dev,
               liblcms2-dev,
               libopenexr-dev,
               libpng-dev,
               libqt5svg5-dev,
               libqt5webkit5-dev,
               libraw-dev,
               libtiff-dev,
               pkg-config,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtscript5-dev,
               qttools5-dev (>= 5.2.1-7),
               qttools5-dev-tools
Standards-Version: 4.1.1
Homepage: http://qtpfsgui.sourceforge.net/
Vcs-Browser: https://anonscm.debian.org/git/pkg-phototools/luminance-hdr.git
Vcs-Git: https://anonscm.debian.org/git/pkg-phototools/luminance-hdr.git

Package: luminance-hdr
Architecture: any
Depends: dcraw,
         hugin-tools,
         libqt5sql5-sqlite,
         ${misc:Depends},
         ${shlibs:Depends}
Description: graphical user interface providing a workflow for HDR imaging
 Features:
  * Create an HDR file from a set of images (formats: JPEG, TIFF 8bit and
    16bit, RAW) of the same scene taken at different exposure setting.
  * Save and load HDR images.
  * Rotate and resize HDR images.
  * Tonemap HDR images.
  * Copy exif data between sets of images.
 .
 Supported HDR formats:
  * OpenEXR (extension: exr).
  * Radiance RGBE (extension: hdr).
  * Tiff formats: 16bit, 32bit (float) and LogLuv (extension: tiff).
  * Raw image formats (extension: various).
  * PFS native format (extension: pfs).
 .
 Supported LDR formats: JPEG, PNG, PPM, PBM, TIFF (8 bit).
